<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePostsTable extends Migration {

	public function up()
	{
      Schema::create('posts', function(Blueprint $table) {
          $table->id();
          $table->timestamps();
          $table->string('title');
          $table->string('slug')->unique();
          $table->string('seo_title')->nullable();
          $table->text('excerpt');
          $table->text('body');
          $table->text('meta_description');
          $table->text('meta_keywords');
          $table->boolean('active')->default(false);
          $table->string('image')->nullable();
          $table->foreignId('user_id')
                ->constrained()
                ->onDelete('cascade')
                ->onUpdate('cascade');
      });
	}

	public function down()
	{
		  Schema::dropIfExists('posts');
	}
}
